Bug 670079 - [cmake-fedora] target "release" will not stop when koji build failed
Summary: [cmake-fedora] target "release" will not stop when koji build failed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-17 06:09 UTC by Ding-Yi Chen
Modified: 2011-06-08 00:52 UTC (History)
1 user (show)

Fixed In Version: cmake-fedora-0.5.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 21:03:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ding-Yi Chen 2011-01-17 06:09:24 UTC
Description of problem:
Target "release" supposes to stop when one of its dependency failed.
However, it does not seems to be stopped when koji build targets,
specifically, "koji_scratch_build" or "fedpkg_build".


Version-Release number of selected component (if applicable):
0.4.0

How reproducible:
Always


Steps to Reproduce:
1. Make sure it fail with koji_scratch_build
2. run "make release"
  
Actual results:
It actually finish the whole target, however, new build cannot be tagged because the build failed.


Expected results:
Stop when koji_scratch_build or fedpkg_build failed.


Additional info:

Comment 1 Fedora Update System 2011-02-24 16:05:34 UTC
cmake-fedora-0.4.999-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.999-1.fc15

Comment 2 Fedora Update System 2011-02-24 16:05:52 UTC
cmake-fedora-0.4.999-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.999-1.fc14

Comment 3 Fedora Update System 2011-02-24 16:12:53 UTC
cmake-fedora-0.4.999-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.999-1.fc13

Comment 4 Fedora Update System 2011-02-24 16:15:59 UTC
cmake-fedora-0.4.999-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.999-1.el6

Comment 5 Fedora Update System 2011-02-24 16:17:29 UTC
cmake-fedora-0.4.999-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.999-1.el5

Comment 6 Fedora Update System 2011-02-24 19:53:51 UTC
cmake-fedora-0.4.999-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake-fedora'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cmake-fedora-0.4.999-1.el5

Comment 7 Fedora Update System 2011-02-25 06:54:48 UTC
cmake-fedora-0.4.9992-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9992-1.fc15

Comment 8 Fedora Update System 2011-02-25 06:55:07 UTC
cmake-fedora-0.4.9992-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9992-1.fc14

Comment 9 Fedora Update System 2011-02-25 06:55:27 UTC
cmake-fedora-0.4.9992-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9992-1.fc13

Comment 10 Fedora Update System 2011-02-25 06:55:44 UTC
cmake-fedora-0.4.9992-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9992-1.el6

Comment 11 Fedora Update System 2011-02-25 06:56:04 UTC
cmake-fedora-0.4.9992-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9992-1.el5

Comment 12 Fedora Update System 2011-02-25 12:36:52 UTC
cmake-fedora-0.4.9993-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9993-1.fc15

Comment 13 Fedora Update System 2011-02-25 12:37:09 UTC
cmake-fedora-0.4.9993-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9993-1.fc14

Comment 14 Fedora Update System 2011-02-25 12:37:28 UTC
cmake-fedora-0.4.9993-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9993-1.fc13

Comment 15 Fedora Update System 2011-02-25 12:37:45 UTC
cmake-fedora-0.4.9993-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9993-1.el6

Comment 16 Fedora Update System 2011-02-26 17:29:05 UTC
Package cmake-fedora-0.4.9996-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-fedora-0.4.9996-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9996-1.fc15
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2011-02-26 17:29:27 UTC
Package cmake-fedora-0.4.9996-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-fedora-0.4.9996-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/cmake-fedora-0.4.9996-1.fc14
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2011-02-26 21:18:37 UTC
Package cmake-fedora-0.5.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-fedora-0.5.0-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.0-1.fc15
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2011-02-26 21:18:55 UTC
Package cmake-fedora-0.5.0-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-fedora-0.5.0-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.0-1.fc14
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2011-03-07 21:02:56 UTC
cmake-fedora-0.5.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-03-08 02:26:25 UTC
cmake-fedora-0.5.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2011-03-11 05:15:22 UTC
cmake-fedora-0.5.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.0-1.fc13

Comment 23 Fedora Update System 2011-03-29 19:49:24 UTC
cmake-fedora-0.5.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-06-07 02:49:04 UTC
cmake-fedora-0.5.99-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.99-1.fc15

Comment 25 Fedora Update System 2011-06-07 02:49:28 UTC
cmake-fedora-0.5.99-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.99-1.fc14

Comment 26 Fedora Update System 2011-06-07 02:50:09 UTC
cmake-fedora-0.5.99-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.99-1.el6

Comment 27 Fedora Update System 2011-06-08 00:52:08 UTC
cmake-fedora-0.5.992-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.992-1.el6

Comment 28 Fedora Update System 2011-06-08 00:52:36 UTC
cmake-fedora-0.5.992-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-0.5.992-1.el5


Note You need to log in before you can comment on or make changes to this bug.